package com.unis.message.client;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import com.unis.common.utils.ResponseWrapper;
import com.unis.message.common.vo.MessageVO;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/** 
 * @ClassName: EvasionFeign 
 * @Description: 人员单位规避 Feign
 * @author LiuFeng 
 * @date 2019年8月24日 下午4:49:00  
 */

@FeignClient(name = "message")
@Component
@Api(value = "消息服务", tags = "消息服务")
public interface EvasionFeign {

	@ApiOperation(value = "发送短信", notes = "参数：短信实体信息,验证码类型短信，正文可为null")
    @PostMapping(value = "/mess/sendMessage")
    public ResponseWrapper send(@RequestBody MessageVO messageVO);
	
	
	@ApiOperation(value = "验证验证码", notes = "参数：手机号及验证码，验证码有效期15分钟")
    @PostMapping(value = "/mess/verify/{mobile}/{code}")
    public ResponseWrapper verify(@PathVariable String mobile,@PathVariable String code);
	

}
