package com.unis.message.server.service.impl;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.unis.common.utils.UUIDUtils;
import com.unis.message.common.constant.Constant;
import com.unis.message.common.vo.MessageCodeVO;
import com.unis.message.common.vo.MessageVO;
import com.unis.message.server.service.IMessServer;
import com.unis.message.server.service.MessageServer;

import cn.hutool.http.HttpUtil;
import cn.hutool.json.JSONArray;
import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;

@Service
public class IMessServerImpl implements IMessServer {
	
	@Autowired
	private MessageServer messageServer;

	@Override
	public String sendMess(MessageVO messageVO) {
		List<MessageVO>  list = new ArrayList<MessageVO>();
		if(messageVO.getSmstype().equals("4")) {//发送验证码
			MessageCodeVO messageCodeVO = new MessageCodeVO();
			messageCodeVO.setId(UUIDUtils.uuid());
			messageCodeVO.setMobile(messageVO.getMobile());
			messageCodeVO.setCreatedate(new Date());
			String code = String.valueOf(Math.round((Math.random()+1) * 1000));
			messageCodeVO.setCode(code);
			messageVO.setContent("您的短信验证码为："+code+",(验证码15分钟内有效)");
			messageServer.insertCode(messageCodeVO);
		}
		messageVO.setSmstype("0");
		messageVO.setContent("【天津市粮食和物资储备局】"+messageVO.getContent());
		messageVO.setClientid(Constant.SUBACCOUNT);
		messageVO.setPassword(Constant.SUBPASSWORD);
		String result = HttpUtil.post(Constant.MESSURL, JSONUtil.toJsonStr(messageVO));
		JSONObject jsonObject = JSONUtil.parseObj(result);
		JSONArray array = jsonObject.getJSONArray("data");
		for(int i=0;i<array.size();i++) {
			JSONObject object = array.getJSONObject(i);
			MessageVO messageVO2 = new MessageVO();
			messageVO2.setContent(messageVO.getContent());
			messageVO2.setSmstype(messageVO.getSmstype());
			messageVO2.setSid(object.getStr("sid"));
			messageVO2.setMobile(object.getStr("mobile"));
			messageVO2.setCreatedate(new Date());
			list.add(messageVO2);
        }
		if(list.size()>0) {
			messageServer.insert(list);
		}
		return "发送成功";
	}

	@Override
	public boolean verify(String mobile, String code) {
		MessageCodeVO messageCodeVO = new MessageCodeVO();
		messageCodeVO.setMobile(mobile);
		messageCodeVO.setCode(code);
		int i = messageServer.selectMessCode(messageCodeVO);
		if(i>0) {
			return true;
		}
		return false;
	}

}
