//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by Fernflower decompiler)
//

package com.unis.message.client;

import com.unis.common.utils.ResponseWrapper;
import com.unis.message.common.vo.notice.PortalNoticeVO;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(
        name = "message-server"
)
@Component
public interface NoticeFeign {
    @ApiOperation(
            value = "根据id查询通知公告",
            notes = "参数：通知公告id"
    )
    @RequestMapping(
            method = {RequestMethod.GET},
            value = {"/notice/{id}/"}
    )
    ResponseWrapper findById(@PathVariable("id") String id);

    @ApiOperation(
            value = "保存通知公告",
            notes = "参数：通知公告对象VO"
    )
    @RequestMapping(
            method = {RequestMethod.POST},
            value = {"/notice/"}
    )
    ResponseWrapper save(@RequestBody PortalNoticeVO VO);

    @ApiOperation(
            value = "更新通知公告",
            notes = "参数：通知公告VO"
    )
    @RequestMapping(
            method = {RequestMethod.PUT},
            value = {"/notice/"}
    )
    ResponseWrapper update(@RequestBody PortalNoticeVO VO, @RequestParam(value = "code") String code);

    @ApiOperation(
            value = "删除通知公告",
            notes = "参数：通知公告id(可传入多个)，操作用户id"
    )
    @RequestMapping(
            method = {RequestMethod.DELETE},
            value = {"/notices"}
    )
    ResponseWrapper deletes(@RequestBody String[] ids, @RequestParam(value = "userId") String userId);

    @ApiOperation(
            value = "管理端：分页查询所有通知公告",
            notes = "参数：PortalNoticeVO、当前页、页面大小"
    )
    @ApiImplicitParams({@ApiImplicitParam(
            name = "page",
            value = "起始页",
            required = true
    ), @ApiImplicitParam(
            name = "size",
            value = "每页展示行数",
            required = true
    )})
    @RequestMapping(
            method = {RequestMethod.POST},
            value = {"/noticesPage/manager"}
    )
    ResponseWrapper findByPageManager(@RequestBody PortalNoticeVO VO, @RequestParam(value = "page") Integer page, @RequestParam(value = "size") Integer size);

    @ApiOperation(
            value = "用户端：分页查询所有通知公告",
            notes = "参数：PortalNoticeVO、当前页、页面大小"
    )
    @ApiImplicitParams({@ApiImplicitParam(
            name = "page",
            value = "起始页",
            required = true
    ), @ApiImplicitParam(
            name = "size",
            value = "每页展示行数",
            required = true
    )})
    @RequestMapping(
            method = {RequestMethod.POST},
            value = {"/noticesPage/user"}
    )
    ResponseWrapper findByPageUser(@RequestBody PortalNoticeVO VO, @RequestParam (value = "page")Integer page, @RequestParam(value = "size") Integer size);

    @ApiOperation(
            value = "用户端：不分页查询所有通知公告",
            notes = "参数：PortalNoticeVO"
    )
    @RequestMapping(
            method = {RequestMethod.POST},
            value = {"/notice/user"}
    )
    ResponseWrapper findByUser(@RequestBody PortalNoticeVO VO);

    @ApiOperation(
            value = "获取用户通知公告数量",
            notes = "参数：当前登陆用户userId"
    )
    @RequestMapping(
            method = {RequestMethod.GET},
            value = {"/notice/"}
    )
    ResponseWrapper getNoticeNum(@PathVariable("id") String id);
}
